﻿using CsvHelper;
using CsvHelper.Configuration;
using CsvHelper.TypeConversion;

namespace Drive.Common.Csv
{
    public class BooleanToYesNoCsvTypeConverter : ITypeConverter
    {
        private const string YES = "Yes";
        private const string NO = "No";

        public object ConvertFromString(string? text, IReaderRow row, MemberMapData memberMapData)
        {
            return YES.Equals(text);
        }

        public string ConvertToString(object? value, IWriterRow row, MemberMapData memberMapData)
        {
            return value is bool boolValue && boolValue ? YES : NO;
        }
    }
}
