﻿using NHibernate.Cfg;

namespace Drive.Common.Data
{
    public interface IConfigureSessionFactory
    {
        Configuration Configure(Configuration config);
    }

    public static class TypeHelpers
    {
        public static bool IsSubclassOfRawGeneric(this Type generic, Type toCheck)
        {
            while (toCheck != null && toCheck != typeof(object))
            {
                var cur = toCheck.IsGenericType ? toCheck.GetGenericTypeDefinition() : toCheck;
                if (generic == cur)
                    return true;

                toCheck = toCheck.BaseType!;
            }
            return false;
        }
    }
}
