﻿namespace Drive.Common.Data
{
    public class IdentitySettingsProvider
    {
        private readonly IdentitySettingsCache _cache;
        private readonly SystemUserProvider _provider;

        public IdentitySettingsProvider(IdentitySettingsCache cache, SystemUserProvider provider)
        {
            _cache = cache;
            _provider = provider;
        }

        public CachedIdentity Get(string tenant)
        {
            _cache.TryGetValue(tenant, out CachedIdentity? identity);
            if (identity == null)
            {
                identity = _provider.Get();
                _cache.Add(tenant, identity);
            }
            return identity;
        }
    }
}
