﻿using System.Data;
using System.Data.Common;
using Lamar;
using NHibernate;

namespace Drive.Common.Data
{
    public class DataRegistry :
        ServiceRegistry
    {
        public DataRegistry()
        {
            For<ISession>()
                .Use(c =>
                {
                    ISessionSource boundary = c.GetInstance<ISessionSource>();
                    IInterceptor interceptor = c.TryGetInstance<IInterceptor>();
                    IDbConnection connection = c.GetInstance<IDbConnection>();
                    return boundary.CreateSession((DbConnection)connection, interceptor);
                })
                .Scoped();

            For<IStatelessSession>()
                .Use(c =>
                {
                    ISessionSource boundary = c.GetInstance<ISessionSource>();
                    IDbConnection connection = c.GetInstance<IDbConnection>();
                    return boundary.CreateStatelessSession((DbConnection)connection);
                })
                .Scoped();

            ForSingletonOf<ISessionSource>().Use<NHibernateSessionSource>();
        }
    }
}