﻿using Microsoft.Data.SqlClient;
using Microsoft.Extensions.Options;

namespace Drive.Common.Data
{
    public static class ConnectionStringEnricher
    {
        public static string Enrich(string connectionString, string applicationName)
        {
            SqlConnectionStringBuilder builder = new(connectionString)
            {
                ApplicationName = applicationName,
            };
            return builder.ToString();
        }
    }

    public class PostConfigureOrmOptions :
        IPostConfigureOptions<OrmOptions>
    {
        private readonly EndpointOptions _options;
        private readonly string _endpointName;

        public PostConfigureOrmOptions(
            IOptions<EndpointOptions> options,
            string endpointName)
        {
            _options = options.Value;
            _endpointName = endpointName;
        }

        public void PostConfigure(string? name, OrmOptions options)
        {
            options.ConnectionString = ConnectionStringEnricher.Enrich(_options.ConnectionString, _endpointName);
        }
    }
}
