﻿using System.Text.Json;
using NServiceBus.DataBus;

namespace Drive.Common.Messaging
{
    public static class DataBus
    {
        public static string Header => "NServiceBus.DataBus.";
    }

    public class DriveSystemJsonDataBusSerializer : IDataBusSerializer
    {
        public string ContentType { get; } = "application/json";

        public void Serialize(object dataBusProperty, Stream stream)
        {
            JsonSerializer.Serialize(stream, dataBusProperty, DriveSerialization.Options);
        }

        public object Deserialize(Type propertyType, Stream stream)
        {
            return JsonSerializer.Deserialize(stream, propertyType, DriveSerialization.Options)!;
        }
    }
}
