﻿using System.Security.Cryptography;
using System.Text;
using Drive.Common.Security;
using Microsoft.Extensions.Options;

namespace Drive.Common.Messaging.Signing
{
    public class MessageHasher
    {
        private readonly MessageSigningOptions _options;

        public MessageHasher(
            IOptions<MessageSigningOptions> options)
        {
            _options = options.Value;
        }

        public string Hash(ReadOnlyMemory<byte> messageBody)
        {

            using HMACSHA256 hmac = new(Encoding.UTF8.GetBytes(_options.Key));

            byte[] hashBytes = hmac.ComputeHash(messageBody.ToArray());
            string hashBase64String = Convert.ToBase64String(hashBytes);

            return hashBase64String;
        }
    }
}
