﻿namespace Drive.Common.Security
{
    public static class RolesManager
    {
        public const string DriveAdministrator = "DRVADMIN";
        public const string DriveAccountManager = "DRVAM";
        public const string DriveBranchManager = "DRVBRMGR";
        public const string DriveSalesManager = "DRVSALESMGR";
        public const string DriveActivityJournal = "DRVACTIVITYJOURNAL";

        public const string EditAdvertisingSettings = "DRV001";

        public const string CanReconcileSchedule = "DRV002";

        public const string CanChangeAccountManager = "DRV003";

        public const string EditScheduleDateControlClocks = "DRV004";

        public const string OverrideBookings = "DRV005";
        public const string EditBookings = "DRV140";

        public const string CreateContractInputCostLine = "DRV009";
        public const string EditContractInputCostLine = "DRV010";
        public const string DeleteContractInputCostLine = "DRV011";

        public const string CreateContractInputChargeLine = "DRV012";
        public const string EditContractInputChargeLine = "DRV013";
        public const string DeleteContractInputChargeLine = "DRV014";

        public const string CreateAudioBrief = "DRV015";
        public const string EditAudioBrief = "DRV016";
        public const string DeleteAudioBrief = "DRV017";

        public const string CreateContractAudioLine = "DRV018";
        public const string EditContractAudioLine = "DRV019";
        public const string DeleteContractAudioLine = "DRV020";

        public const string CreateAdvertisingCommission = "DRV033";
        public const string EditAdvertisingCommission = "DRV034";
        public const string DeleteAdvertisingCommission = "DRV035";

        public const string CreateAdvertisingProduct = "DRV039";
        public const string EditAdvertisingProduct = "DRV040";
        public const string DeleteAdvertisingProduct = "DRV041";

        public const string CreateAudio = "DRV042";
        public const string EditAudio = "DRV043";
        public const string DeleteAudio = "DRV044";

        public const string CreateBranch = "DRV045";
        public const string EditBranch = "DRV046";
        public const string DeleteBranch = "DRV047";

        public const string CreateContract = "DRV048";
        public const string EditContract = "DRV049";
        public const string DeleteContract = "DRV050";

        public const string CreateCommitmentType = "DRV051";
        public const string EditCommitmentType = "DRV052";
        public const string DeleteCommitmentType = "DRV053";

        public const string CreateDayBreakType = "DRV054";
        public const string EditDayBreakType = "DRV055";
        public const string DeleteDayBreakType = "DRV056";

        public const string CreateDayBreak = "DRV057";
        public const string EditDayBreak = "DRV058";
        public const string DeleteDayBreak = "DRV059";

        public const string CreateDayClock = "DRV060";
        public const string EditDayClock = "DRV061";
        public const string DeleteDayClock = "DRV062";

        public const string EditEntity = "DRV063";
        public const string CreateEntity = "DRV064";
        public const string DeleteEntity = "DRV065";

        public const string EditEntityContactPerson = "DRV070";
        public const string CreateEntityContactPerson = "DRV071";
        public const string DeleteEntityContactPerson = "DRV072";

        public const string EditPerson = "DRV073";
        public const string CreatePerson = "DRV074";
        public const string DeletePerson = "DRV075";

        public const string EditReceivableAccount = "DRV076";
        public const string CreateReceivableAccount = "DRV077";
        public const string DeleteReceivableAccount = "DRV078";

        public const string EditSchedule = "DRV079";
        public const string CreateSchedule = "XX - Never Allow Manual Schedule Create - XX";
        public const string DeleteSchedule = "XX - Never Allow Manual Schedule Delete - XX";

        public const string ReadStaff = "DRV117";
        public const string WriteStaff = "DRV081";
        public const string WriteStaffVoice = "DRV082";
        public const string ChangeAccountManager = "DRV083";

        public const string EditStation = "DRV084";
        public const string CreateStation = "DRV085";
        public const string DeleteStation = "DRV086";

        public const string EditStationBrand = "DRV087";
        public const string CreateStationBrand = "DRV088";
        public const string DeleteStationBrand = "DRV089";

        public const string EditTimezone = "DRV090";
        public const string CreateTimezone = "DRV091";
        public const string DeleteTimezone = "DRV092";

        public const string DeleteScheduleDateControl = "XX - Never Allow Manual Schedule Delete - XX";
        public const string EditScheduleDateControl = "DRV093";
        public const string CreateScheduleDateControl = "XX - Never Allow Manual Schedule Create - XX";

        public const string CanSearchContractsByAccountManager = "DRV094";

        public const string CanApproveDebtorForContract = "DRV097";
        public const string CanApproveAvailsForContract = "DRV098";
        public const string CanApproveRateForContract = "DRV099";

        public const string CanAssignWriter = "DRV100";
        public const string CanAssignProducer = "DRV101";

        public const string CanViewAllHome = "DRV102";
        public const string CanViewSalesRepHome = "DRV103";
        public const string CanViewSchedulesHome = "DRV104";
        public const string CanViewCreativeHome = "DRV105";

        public const string CanSearchContractsByBranch = "DRV106";

        public const string CanViewBranchManagerHome = "DRV107";

        public const string CanViewAllContractStatusReportStatusOwner = "DRV108";
        public const string CanEnterReceivableAccountOnContract = "DRV109";

        public const string ViewContract = "DRV110";
        public const string ViewEntity = "DRV111";
        public const string ViewAdvertisingProduct = "DRV112";
        public const string ViewStationBrand = "DRV113";
        public const string ViewDayClock = "DRV114";
        public const string ViewTimezone = "DRV115";
        public const string ViewPerson = "DRV116";
        public const string ViewBranch = "DRV118";
        public const string ViewReceivableAccount = "DRV119";
        public const string ViewCommitmentType = "DRV121";
        public const string ViewAdvertisingCommission = "DRV122";
        public const string ViewDayBreakType = "DRV123";
        public const string ViewStation = "DRV125";
        public const string ViewSchedule = "DRV126";
        public const string ViewAudio = "DRV127";
        public const string ViewScheduleDateControl = "DRV129";
        public const string ViewAudioBrief = "DRV131";
        public const string ViewContractAudioLine = "DRV132";
        public const string ViewEntityContactPerson = "DRV133";
        public const string ViewEntityCommitmentRate = "DRV134";
        public const string ViewContractInputCostLine = "DRV135";
        public const string ViewContractInputChargeLine = "DRV136";
        public const string ViewDayBreak = "DRV137";

        public const string CanSpecifyNationalContract = "DRV142";

        public const string CanSpecifyContractStatusReportBranch = "DRV143";

        public const string CanModifyNextThreeDaysSpots = "DRV144";

        public const string CanSpecifyNoCreativeContract = "DRV145";

        public const string CanAllowContractClashes = "DRV146";

        public const string CanStopReceivableAccount = "DRV147";

        public const string CanSpecifyAccountManagerDueCommission = "DRV148";

        public const string CanSpecifyInputSpotLineType = "DRV149";

        public const string CanSpecifyAvailsReportQuerySoldoutPercentages = "DRV150";

        public const string CanSearchContractsByOffstationBooking = "DRV151";

        public const string CanSearchContractsByStationBranch = "DRV153";

        public const string CanSearchEntitiesByBranch = "DRV154";

        public const string CanSearchAudioBriefsByBranch = "DRV155";

        public const string CanViewBranchManagerAllHome = "DRV160";

        public const string CanSearchDayClocksByBranch = "DRV161";

        public const string CanResetAllPlayCounts = "DRV162";

        public const string CanSearchEntityCommitmentsByBranch = "DRV163";

        public const string CanChangeContractCommission = "DRV164";

        public const string CreateContractAlert = "DRV168";

        public const string CanOverrideCostBranchDepartment = "DRV174";

        public const string ViewProspect = "XX - Never Allow Prospect View - XX";
        public const string EditProspect = "XX - Never Allow Prospect Edit - XX";
        public const string CreateProspect = "XX - Never Allow Prospect Create - XX";
        public const string DeleteProspect = "XX - Never Allow Prospect Delete - XX";

        public const string CanReplaceDayClocksByBranch = "DRV175";

        public const string CanEditNetworkDayClock = "DRV176";

        public const string CanSearchProspectsByBranch = "DRV179";

        public const string CanEnterReceivableAccountInternalNotes = "DRV187";

        public const string CanViewProspectSearch = "DRV188";

        public const string CanAssignAudioPlaybackReference = "DRV189";
        public const string CanAssignRestrictedAudioPlaybackReference = "DRV190";

        public const string EditImportedContractAudioLine = "DRV191";

        public const string CanSearchAudioBriefsByInputBranches = "DRV192";
        public const string CanSearchSchedulesByInputBranches = "DRV193";
        public const string CanSearchContractsByInputBranches = "DRV194";

        public const string CanMakeGoodImportedContracts = "DRV195";

        public const string CanSearchEntitiesByInputBranches = "DRV196";

        public const string CanEditImportedContractHeader = "DRV197";

        public const string CanSearchCommitmentsByAccountManager = "DRV300";

        public const string CanSearchAudioBriefsByAccountManager = "DRV301";

        public const string ViewBranchGroup = "DRV302";
        public const string CreateBranchGroup = "DRV303";
        public const string EditBranchGroup = "DRV304";
        public const string DeleteBranchGroup = "DRV305";

        public const string CreateRestrictedChannelAudioLine = "DRV306";
        public const string EditRestrictedChannelAudioLine = "DRV307";

        public const string ViewAdvertisingFreeDay = "DRV308";
        public const string CreateAdvertisingFreeDay = "DRV309";
        public const string EditAdvertisingFreeDay = "DRV310";
        public const string DeleteAdvertisingFreeDay = "DRV311";

        public const string CanPrintInvoice = "DRV312";

        public const string CanSearchStaffByBranch = "DRV313";

        public const string EditEntityBio = "DRV314";

        public const string CanClassifyContract = "DRV315";

        public const string CanMoveAndDeleteRestrictedChannelSpots = "DRV316";

        public const string CanEditRestrictedChannelContracts = "DRV317";

        public const string CanApproveChargeLinesForContract = "DRV323";
        public const string CanViewDashboard = "DRV324";

        public const string PricingManagement = "DRV325";

        public const string CanReportUninstructedContractsByBranch = "DRV326";
        public const string CanEnterContractAgency = "DRV327";
        public const string CanChangeRateForAiredBookings = "DRV328";
        public const string UnrestrictedContractBillingEntry = "DRV329";
        public const string CreateImportedContractAudioLine = "DRV330";
        public const string CanDeleteScheduleSpot = "DRV331";
        public const string CanDeleteReconSpot = "DRV332";
        public const string CanBookOutsideCampaignCommitmentDates = "DRV333";
        public const string CanChangeOrganisationType = "DRV334";

        public const string CanLinkReceivableAccount = "DRV335";
        public const string CanManageInvalidAirmailQueue = "DRV336";
        public const string CanChangeReceivableAccountCreditLimit = "DRV337";
        public const string UnrestrictedChargeLineEntry = "DRV338";
        public const string CanCloseMonth = "DRV339";
        public const string ImportedContractAccess = "DRV340";
        public const string CanSplitContract = "DRV341";
        public const string LaydownClipboard = "DRV342";
        public const string ContractPacking = "DRV343";

        public const string ModifyNextThreeDaysProposalSpots = "DRV344";
        public const string ConfirmProposalWithSpotsInNextThreeDays = "DRV345";

        public const string SalesChannelRead = "DRV346";
        public const string SalesChannelWrite = "DRV347";

        public const string LaydownGiveawayTimezoneAccess = "DRV348";

        public const string BriefScopeRead = "DRV349";
        public const string BriefScopeWrite = "DRV350";

        public const string MakeGoodReasonRead = "DRV351";
        public const string MakeGoodReasonWrite = "DRV352";

        public const string AudioPlaybackReferenceRangesRead = "DRV353";
        public const string AudioPlaybackReferenceRangesWrite = "DRV354";

        public const string DownloadOriginalQualityMedia = "DRV355";
        public const string DownloadPlaybackQualityMedia = "DRV356";

        public const string BriefAllocationRead = "DRV357";
        public const string BriefAllocationWrite = "DRV358";

        public const string ForceSyncAudio = "DRV359";
        public const string ManageSyncList = "DRV360";

        public const string EditReconciledSchedule = "DRV361";

        public const string MarketSizeWrite = "DRV362";
        public const string DiscountWrite = "DRV363";
        public const string ProductWrite = "DRV364";

        public const string CommitmentRead = "DRV128";
        public const string CommitmentWrite = "DRV022";
        public const string ApproveCommitmentProducts = "DRV365";
        public const string ApproveCommitmentPricing = "DRV366";
        public const string ApproveCommitment = "DRV367";
        public const string CommitmentAdmin = "DRV368";
        public const string ConfirmProposalWithDraftCommitment = "DRV369";
        public const string ConnectContractToCommitment = "DRV199";

        public const string BookingFeeWrite = "DRV370";

        public const string ModifyExportedSpots = "DRV371";

        public const string CreateBookingLine = "DRV372";
        public const string BuildBookingLine = "DRV373";
        public const string EditBookingLine = "DRV374";
        public const string EditBookingLineRate = "DRV375";

        public const string ProductTypeWrite = "DRV028";
        public const string ProductTypeRead = "DRV120";

        #region Report Roles DRV200...

        public const string CanViewReportTwelveMonthClientRevenue = "DRV200";
        public const string CanViewReportAiredTimes = "DRV201";
        public const string CanViewReportAvailsForInventoryManager = "DRV202";
        public const string CanViewReportAvailsForSalesRep = "DRV203";
        public const string CanViewReportBlankSchedule = "DRV204";
        public const string CanViewReportChargesCreditsAndCosts = "DRV205";
        public const string CanViewReportClientAnniversaryList = "DRV206";
        public const string CanViewReportClientCommitment = "DRV207";
        public const string CanViewReportClientContractSpotSummary = "DRV208";
        public const string CanViewReportClientList = "DRV209";
        public const string CanViewReportClientProfile = "DRV210";
        public const string CanViewReportCommission = "DRV211";
        public const string CanViewReportContractChanges = "DRV212";
        public const string CanViewReportContractConfirmation = "DRV213";
        public const string CanViewReportContractSummary = "DRV214";
        public const string CanViewReportControlSchedule = "DRV215";
        public const string CanViewReportCopywriterStats = "DRV216";
        public const string CanViewReportNewBusiness = "DRV217";
        public const string CanViewReportOverdueAccounts = "DRV218";
        public const string CanViewReportSpotYieldAnalysis = "DRV219";
        public const string CanViewReportSpotsWithNoAiredTime = "DRV220";
        public const string CanViewReportTransactionHistory = "DRV221";
        public const string CanViewReportUninstructedContracts = "DRV222";
        public const string CanViewReportContractStatus = "DRV223";
        public const string CanViewReportSpots = "DRV224";
        public const string CanViewReportUtilisationSummary = "DRV225";
        public const string CanViewReportSpotsAndCharges = "DRV226";
        public const string CanViewReportTwelveMonthCosts = "DRV227";
        public const string CanViewReportAudioScript = "DRV228";
        public const string CanViewReportMaterialInstructions = "DRV229";
        public const string CanViewReportPurgedAudio = "DRV230";
        public const string CanViewReportSchedule = "DRV231";
        public const string CanViewReportReceivableInvoice = "DRV232";
        public const string CanViewReportAudioBrief = "DRV233";
        public const string CanViewReportTwelveMonthRevenue = "DRV234";
        public const string CanViewReportCampaignList = "DRV235";
        public const string CanViewReportMonthEndPrePosting = "DRV236";
        public const string CanViewReportReceivableStatement = "DRV237";
        public const string CanViewReportCashBookTransactionAnalysis = "DRV238";
        public const string CanViewReportDailyBanking = "DRV239";
        public const string CanViewReportScheduledTimes = "DRV240";
        public const string CanViewReportCreditAccounts = "DRV241";
        public const string CanViewReportCopywriterScriptsDue = "DRV242";

        public const string CanUtilisationReportByReportingBranches = "DRV243";
        public const string CanSpotsReportByReportingBranches = "DRV244";
        public const string CanUninstructedContractsReportByReportingBranches = "DRV245";
        public const string CanTwelveMonthRevenueReportByReportingBranches = "DRV246";
        public const string CanTwelveMonthCostsReportByReportingBranches = "DRV247";
        public const string CanTwelveMonthClientRevenueReportByReportingBranches = "DRV248";
        public const string CanTransactionHistoryReportByReportingBranches = "DRV249";
        public const string CanSpotYieldAnalysisReportByReportingBranches = "DRV250";
        public const string CanSpotsWithNoAiredTimeReportByReportingBranches = "DRV251";
        public const string CanSpotsAndChargesReportByReportingBranches = "DRV252";
        public const string CanReceivableInvoiceReportByReportingBranches = "DRV253";
        public const string CanOverdueAccountsReportByReportingBranches = "DRV254";
        public const string CanNewBusinessReportByReportingBranches = "DRV255";
        public const string CanMonthEndPrePostingReportByReportingBranches = "DRV256";
        public const string CanCreditAccountsReportByReportingBranches = "DRV257";
        public const string CanCopywriterStatsReportByReportingBranches = "DRV258";
        public const string CanCopywriterScriptsDueReportByReportingBranches = "DRV259";
        public const string CanContractSummaryReportByReportingBranches = "DRV260";
        public const string CanContractStatusReportByReportingBranches = "DRV261";
        public const string CanContractConfirmationReportByReportingBranches = "DRV262";
        public const string CanContractChangesReportByReportingBranches = "DRV263";
        public const string CanCommissionReportByReportingBranches = "DRV264";
        public const string CanClientListReportByReportingBranches = "DRV265";
        public const string CanClientContractSpotSummaryReportByReportingBranches = "DRV266";
        public const string CanClientCommitmentReportByReportingBranches = "DRV267";
        public const string CanClientAnniversaryReportByReportingBranches = "DRV268";
        public const string CanChargesCreditsAndCostsReportByReportingBranches = "DRV269";
        public const string CanViewReportContractAudit = "DRV270";
        public const string CanViewReportSpotExceptions = "DRV271";
        public const string CanSpotExceptionsReportByReportingBranches = "DRV272";
        public const string ContractReviewReport = "DRV273";
        public const string CommitmentAgreementReport = "DRV274";
        #endregion
    }
}