﻿using NServiceBus.Logging;

namespace Drive.Common.Testing.NServiceBus
{
    internal class TestConfiguration
    {
        internal static Action<EndpointConfiguration> Customisations = config =>
            {
                var factory = LogManager.Use<DefaultFactory>();
                factory.Level(LogLevel.Fatal);

                config.Conventions()
                    .DefiningCommandsAs(t => t.Namespace != null && t.Namespace.StartsWith("Drive.Commands"))
                    .DefiningEventsAs(t => t.Namespace != null && t.Namespace.StartsWith("Drive.Events"));
            };
    }
}