﻿using System.Security.Claims;
using Drive.Common.Domain;
using Drive.Common.Testing.Security;
using NServiceBus.Testing;

namespace Drive.Common.Testing
{
    public static class Testing
    {
        public static Action<EndpointConfiguration> StubBusCustomisations { get { return NServiceBus.TestConfiguration.Customisations; } }

        public static Action<TestableMessageHandlerContext> AuthenticatedAs<T>() where T : AuthenticationState
        {
            T stateCreator = Activator.CreateInstance<T>();
            ClaimsPrincipal claimsPrincipal = stateCreator.CreatePrincipal();

            Thread.CurrentPrincipal = claimsPrincipal;
            return (testableMessageHandlerContext) => testableMessageHandlerContext.Extensions.Set<ClaimsPrincipal>(claimsPrincipal);
        }

        public static T CreateAggregate<T, TRecord>(TRecord record)
            where TRecord : IAggregateRootRecord
            where T : IAggregateRoot<TRecord>
        {
            T aggregate = (T)Activator.CreateInstance(typeof(T), true)!;
            ((IAggregateRoot<TRecord>)aggregate).Restore(record);

            return aggregate;
        }
    }
}

