﻿namespace Drive.Common.Web.Command
{
    public interface IDispatchResult
    {
        IDictionary<string, IEnumerable<string>> ValidationErrors { get; }
        bool Success { get; }
    }

    internal class DispatchResult
        : IDispatchResult
    {
        public IDictionary<string, IEnumerable<string>> ValidationErrors { get; private set; }
        public bool Success { get; private set; }


        internal DispatchResult(
            IDictionary<string, IEnumerable<string>> validationErrors)
        {
            ValidationErrors = validationErrors;
            Success = !ValidationErrors.Any();
        }
    }
}
