﻿using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Primitives;
using NServiceBus.Extensibility;

namespace Drive.Common.Web
{
    public static class DriveSendOptions
    {
        public static SendOptions FromHttpContext(HttpContext context)
        {
            SendOptions options = new();
            options.GetExtensions().Set(context.User);

            if (context.Request.Headers.TryGetValue(HeaderConstants.CORRELATION_ID_HEADER_KEY, out StringValues correlationId))
                options.SetHeader(HeaderConstants.CORRELATION_ID_HEADER_KEY, correlationId);

            return options;
        }
    }
}
