﻿using System.Net;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Filters;

namespace Drive.Common.Web.Filter
{
    public class CorrelationHeadersRequiredAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuting(ActionExecutingContext context)
        {
            base.OnActionExecuting(context);
            if (!context.HttpContext.Request.Headers.Any(x => x.Key == HeaderConstants.CORRELATION_ID_HEADER_KEY))
            {
                context.Result = new StatusCodeResult((int)HttpStatusCode.BadRequest);
            }
        }
    }
}
