﻿using System.Text.RegularExpressions;

namespace Drive.Common.Extensions
{
    public static class StringExtensions
    {
        public static string Format(this string formatString, object arg0)
        {
            return string.Format(formatString, arg0);
        }

        public static string Format(this string formatString, object arg0, object arg1)
        {
            return string.Format(formatString, arg0, arg1);
        }

        public static string Format(this string formatString, object arg0, object arg1, object arg2)
        {
            return string.Format(formatString, arg0, arg1, arg2);
        }

        public static string Format(this string formatString, params object[] args)
        {
            return string.Format(formatString, args);
        }

        public static IEnumerable<string> Tokenize(this string tokens)
        {
            return tokens.Split(new[] { " " }, StringSplitOptions.RemoveEmptyEntries);
        }
    }

    public static class FullTextStringExtensions
    {
        private readonly static string SpecialCharacters = string.Format("({0})",
            string.Join(
                "|",
                "!\"#%$&'()*+,./:;<=>?@[\\]^`{}~".ToCharArray()
                .Select(character => Regex.Escape(character.ToString()))));

        private readonly static string SeparatorCharacters = string.Format("({0})",
            string.Join(
                "|",
                "-_".ToCharArray()
                .Select(character => Regex.Escape(character.ToString()))));

        public static string FullTextCleanse(this string term)
        {
            var cleansed = string.IsNullOrWhiteSpace(term)
                ? string.Empty
                : Regex.Replace(Regex.Replace(term, SpecialCharacters, string.Empty), SeparatorCharacters, " ");

            return cleansed;
        }
    }
}
