﻿using System.Reflection;
using Microsoft.Data.SqlClient;
using NHibernate.Cfg;
using NHibernate.Cfg.MappingSchema;
using NHibernate.Mapping.ByCode;

namespace Drive.Common.IntegrationTest.IntegrationDatabaseTest
{
    public class TestIntegrationDatabaseTest : Testing.Database.DatabaseTest
    {
        public readonly string TestCode = "EXIST";

        protected override void AddMappings(Configuration configuration)
        {
            var mapper = new ModelMapper();
            mapper.AddMappings(Assembly.GetAssembly(typeof(TestModelMapping))!.GetExportedTypes());
            mapper.AddMappings(Assembly.GetAssembly(typeof(OtherSchemaModelMapping))!.GetExportedTypes());

            HbmMapping compiledMapping = mapper.CompileMappingForAllExplicitlyAddedEntities();
            configuration.AddMapping(compiledMapping);
        }

        protected override void AddInitialTestData()
        {
            using SqlConnection connection = OpenConnection();
            using SqlTransaction transaction = connection.BeginTransaction();
            using SqlCommand command = connection.CreateCommand();

            command.Transaction = transaction;
            command.CommandText = string.Format(@"INSERT INTO Test (Code, Description, Active) VALUES
                                                ('{0}', 'Existing Test Object', 1)", TestCode);
            command.ExecuteNonQuery();

            command.CommandText = string.Format(@"INSERT INTO different.Other (Code, Description, Active) VALUES
                                                ('{0}', 'Existing Other Schema Object', 1)", TestCode);
            command.ExecuteNonQuery();

            transaction.Commit();
        }

        protected override void AddSchemaNamesToCreate(List<string> schemaNames)
        {
            schemaNames.Add("different");
        }
    }
}