﻿using Drive.Common.Domain;
using NodaTime;

namespace Drive.Common.IntegrationTest.IntegrationDatabaseTest
{
    public class TestModel
    {
        public virtual int Id { get; set; }
        public virtual string Description { get; set; } = string.Empty;
        public virtual string Code { get; set; } = string.Empty;
        public virtual bool Active { get; set; }
    }

    public class TestAggregateRootModel
        : IAggregateRootRecord, IAuditedAggregateRoot
    {
        public virtual Guid Id { get; set; }

        public virtual int CreatedById { get; set; }

        public virtual Instant CreatedAt { get; set; }

        public virtual Instant? ModifiedAt { get; set; }

        public virtual int ModifiedById { get; set; }
    }

    public class TestAggregateRoot : AggregateRoot<TestAggregateRootModel>
    {
        public TestAggregateRoot(TestAggregateRootModel record)
        {
            _record = record;
        }
    }
}