﻿using Drive.Common.Data;
using NHibernate.Mapping.ByCode;
using NHibernate.Mapping.ByCode.Conformist;

namespace Drive.Common.IntegrationTest.IntegrationDatabaseTest
{
    public class TestModelMapping : ClassMapping<TestModel>
    {
        public TestModelMapping()
        {
            Table("Test");
            Id(x => x.Id, map => map.Generator(Generators.Identity));

            Property(x => x.Code);
            Property(x => x.Description);
            Property(x => x.Active);
        }
    }

    public class TestAggregateRootModelMapping : ClassMapping<TestAggregateRootModel>
    {
        public TestAggregateRootModelMapping()
        {
            Table("TestAggregateRoot");
            
            Id(x => x.Id);

            Version(x => x.ModifiedAt, map =>
            {
                map.Type<InstantVersionType>();
                map.UnsavedValue(null);
            });

            Property(x => x.CreatedAt, map =>
            {
                map.Type<InstantType>();
                map.NotNullable(true);
            });

            Property(x => x.CreatedById, map => map.NotNullable(true));
            Property(x => x.ModifiedById);


        }
    }
}