﻿using Drive.Common.Security.Extensions;
using Drive.Common.Testing.Security;
using FluentAssertions;
using NServiceBus.Testing;
using Xunit;

namespace Drive.Common.Security.UnitTest.Extensions
{
    public class CurrentPrincipalExtensionsSuite
    {
        [Fact]
        public void drive_user_id_extension_returns_value_of_drive_claim_types_user_id()
        {
            //
            var testAuthenticator = Testing.Testing.AuthenticatedAs<AccountManager>();
            var testableMessageHandlerContext = new TestableMessageHandlerContext();

            //
            testAuthenticator(testableMessageHandlerContext);
            int userId = testableMessageHandlerContext.DriveUserId();

            //
            userId.Should().Be(AuthenticationState.AUTHENTICATED_USER_ID);
        }
    }
}
