﻿using Drive.Common.Extensions;
using FluentAssertions;
using Xunit;

namespace Drive.Common.UnitTest
{
    public class EnumerableExtensionsSuite
    {
        [Fact]
        public void does_not_contain_true()
        {
            //
            var items = new[] { 1, 2, 3, 4 };

            //
            var contains = items.DoesNotContain(5);

            //
            contains.Should().BeTrue("5 is no a member of the source collection");
        }

        [Fact]
        public void does_not_contain_false()
        {
            //
            var items = new[] { 1, 2, 3, 4 };

            //
            var contains = items.DoesNotContain(4);

            //
            contains.Should().BeFalse("4 is a member of the source collection");
        }

        [Fact]
        public void contains_all_true()
        {
            //
            var items = new[] { 1, 2, 3, 4 };

            //
            var contains = items.ContainsAll(new [] { 3, 4 });

            //
            contains.Should().BeTrue("3 and 4 are both members of the source collection");
        }

        [Fact]
        public void contains_all_false()
        {
            //
            var items = new[] { 1, 2, 3, 4 };

            //
            var contains = items.ContainsAll(new[] { 4, 5 });

            //
            contains.Should().BeFalse("5 is not a member of the source collection");
        }
    }
}
